Перейти до вмісту
AstroWay/api v2.73.0 · docs
усі системи в нормі

Astrocartography (A*C*G)

POST
/acg
request.sh
curl -X POST https://api.astroway.info/v1/acg \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52 }'

Calculate ACG lines for all planets — the geodetic map lines where each planet was on an angle at birth.

Media type application/json
object
Example
{
"date": "1990-05-15",
"time": "14:30:00",
"timezoneOffset": 3,
"latitude": 50.45,
"longitude": 30.52
}

Successful calculation

Media type application/json
object
ok
boolean
data
object
lines
Array<object>
object
planet
string
type
string
coordinates
Array<Array<object>>
Example
{
"ok": true
}

Validation error

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?